{
  "configurations": [
    {
      "showDevDebugOutput": "none",
      "cwd": "${workspaceRoot}",
      "executable": "./build/debug/AMS_Master_Nucleo.elf",
      "name": "Debug STM32",
      "request": "launch",
      "type": "cortex-debug",
      "servertype": "openocd",
      "preLaunchTask": "Build STM",
      "device": "stm32h7a3xxq.s",
      "configFiles": [
        "openocd.cfg"
      ],
      "swoConfig": {
        "enabled": true,
        "source": "probe",
        "swoFrequency": 10666666,
        "cpuFrequency": 64000000,
        "decoders": [
          {
            "port": 0,
            "type": "console",
            "label": "SWO LOG",
            "encoding": "ascii"
          }
        ]
      },
      "liveWatch": {
        "enabled": true,
        "samplesPerSecond": 4
      }
    },
    {
      "showDevDebugOutput": "none",
      "cwd": "${workspaceRoot}",
      "executable": "./build/debug/AMS_Master_Nucleo.elf",
      "name": "Attach STM32",
      "request": "attach",
      "type": "cortex-debug",
      "servertype": "openocd",
      "device": "stm32h7a3xxq.s",
      "configFiles": [
        "openocd.cfg"
      ],
      "swoConfig": {
        "enabled": true,
        "source": "probe",
        "swoFrequency": 10666666,
        "cpuFrequency": 64000000,
        "decoders": [
          {
            "port": 0,
            "type": "console",
            "label": "SWO LOG",
            "encoding": "ascii"
          }
        ]
      }
    },
    {
      "name": "C/C++ Runner: Debug Session",
      "type": "cppdbg",
      "request": "launch",
      "args": [],
      "stopAtEntry": false,
      "externalConsole": true,
      "cwd": "c:/lene/fasttube/FT25/03_ams/ams-master/AMS_Master_Code/Core/Src",
      "program": "c:/lene/fasttube/FT25/03_ams/ams-master/AMS_Master_Code/Core/Src/build/Debug/outDebug",
      "MIMode": "gdb",
      "miDebuggerPath": "gdb",
      "setupCommands": [
        {
          "description": "Enable pretty-printing for gdb",
          "text": "-enable-pretty-printing",
          "ignoreFailures": true
        }
      ]
    }
  ]
}